Bug 582275 - High memory consumption, OOM errors (heap space)
High memory consumption, OOM errors (heap space)
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
1.4
All Linux
urgent Severity high (vote)
: ---
: ---
Assigned To: Jeff Weiss
Corey Welton
:
Depends On:
Blocks: rhq_triage jon24-perf
  Show dependency treegraph
 
Reported: 2010-04-14 10:33 EDT by Jeff Weiss
Modified: 2014-11-09 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
fedora, postgres
Last Closed: 2010-08-12 12:46:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2010-04-14 10:33:26 EDT
Description of problem:
RHQ server consumes 700Mb of resident memory on startup (compare to JON2.3.1, 400Mb).  Clicking around various pages in the UI (without actually doing anything) raises the memory consumption to 960Mb in 15 clicks. (virtual memory = 1.7G).  The automated tests do enough clicking to get OOM errors (heap space)

Version-Release number of selected component (if applicable):
b169eb6

How reproducible:
Always, so far 

Steps to Reproduce:
1. Install RHQ
2. look at "top" or otherwise display memory usage
3. Click around the UI and watch it increase steadily
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Weiss 2010-04-14 11:40:02 EDT
java environment:
[rhq@auto-rhq01 bin]$ java -version
java version "1.6.0"
OpenJDK  Runtime Environment (build 1.6.0-b09)
OpenJDK 64-Bit Server VM (build 1.6.0-b09, mixed mode)
Comment 2 Heiko W. Rupp 2010-04-15 11:34:05 EDT
Jeff, can you please elaborate more on "click around the UI" ? What parts did you especially try? Did you have many resources ?
Comment 3 Jeff Weiss 2010-04-15 12:25:35 EDT
Heiko, it doesn't matter what you click, every click raises the memory consumption 5-20mb, without exception. 

No i did not have many resources, just a single agent.
Comment 4 Jeff Weiss 2010-04-15 12:57:46 EDT
Sorry - to clarify, every click that causes a page load increases the memory usage.  Obviously clicking into a text field wouldn't cause any memory increase on the server :)
Comment 5 Jeff Weiss 2010-04-22 09:38:21 EDT
I'm still seeing high memory consumption, and now the agent has also doubled in size.  We really need to investigate this.  The agent should not be taking 500MB.

 4437 jonqa     25   0 1858m 971m 4824 S  0.0 48.5  80:05.26 java                                                                                                                                         
  519 root      18   0 1015m 526m 5652 S  0.0 26.3   4:51.48 java                                                                                                                                         


Build: f3cc7f7
Comment 6 Charles Crouch 2010-05-17 23:08:18 EDT
Jeff, can you confirm whether or not you are still seeing this after the UI fixes we put in. I'm also interested if you are seeing excessive agent memory usage too.
Comment 7 Charles Crouch 2010-05-17 23:09:39 EDT
I'm wondering if this could be related to https://bugzilla.redhat.com/show_bug.cgi?id=589674
Comment 8 Corey Welton 2010-05-27 12:49:02 EDT
[12:45] <cswiii> [12:40] <jweiss> last i checked, the memory usage was still rather high
[12:45] <cswiii> [12:40] <jweiss> let me check last night's install
[12:45] <cswiii> [12:41] <jweiss> 1678m virt, 717m resident
[12:47] <ccrouch> i'd need to know what that looks like compared to 2.3.1 to know if thats an issue or not
Comment 9 Corey Welton 2010-06-02 08:25:30 EDT
FWIW, this is the results of an automation run against 2.3.1 that might be usable as some sort of baseline


  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND 
[...]
 1995 root      20   0 2082m 1.1g  13m S  0.3 54.9   8:17.82 java
Comment 10 Corey Welton 2010-06-10 12:45:55 EDT
QA Closing.  We can reopen if this seems to show up again, but things look pretty comparable to me.
Comment 11 Corey Welton 2010-08-12 12:46:49 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.